Bug 315661 - Feature Request: Add Eclipse E.P.I.C. Perl as a package
Feature Request: Add Eclipse E.P.I.C. Perl as a package
Product: Fedora
Classification: Fedora
Component: eclipse (Show other bugs)
All Linux
low Severity low
: ---
: ---
Assigned To: Andrew Overholt
Fedora Extras Quality Assurance
Depends On:
  Show dependency treegraph
Reported: 2007-10-02 13:38 EDT by Stephen Gallagher
Modified: 2007-12-27 18:19 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2007-12-14 12:12:56 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Stephen Gallagher 2007-10-02 13:38:41 EDT
Description of problem:
E.P.I.C. is a very useful IDE for Perl development. It would be very convenient
to have it packaged as eclipse-perl or eclipse-epic in Fedora. It is not
presently available in the package lists and must be installed manually.

Additional info:
E.P.I.C. Perl can be found at http://e-p-i-c.sourceforge.net/
Comment 1 Oliver Falk 2007-10-03 14:47:36 EDT
That sounds good. Can someone check if someone already has packaged this and we
have some pkg we can start with!?
Comment 2 Andrew Overholt 2007-10-03 14:54:28 EDT
Stephen:  would you like to maintain this?  We can help guide you with the
initial packaging effort.
Comment 3 Stephen Gallagher 2007-10-03 16:08:17 EDT
Sure, I think I can probably handle that. Where do we begin?
Comment 4 Andrew Overholt 2007-10-03 17:15:58 EDT
Awesome!  Step 1 is to get a source zip.  If upstream doesn't provide one, you
can generate one from CVS or SVN.  I guess it would be good to see if upstream
has their build method documented somewhere since it would be nice to follow
what they do.  If they don't, try taking a look at one of the existing eclipse
plugins in Fedora (Mylyn, ChangeLog, GEF (has upstream build mechanism), etc.)
and see if you can shim E.P.I.C. into what's being done there.  With luck, it'll
work :)  Post back here if you have issues.  We can also discuss on
fedora-devel-java-list if you prefer.

Comment 5 Jack Tanner 2007-11-16 15:00:30 EST
It'd be very nice to see EPIC in Fedora. Just FYI, note that there were issues
with using Fedora's gcj-built Eclipse with upstream Sun JDK-built EPIC, e.g.,

Comment 6 Stephen Gallagher 2007-11-16 15:05:37 EST
I'm afraid that events in my personal life have intervened and I will not be
able to put this together. I am sorry about this.
Comment 7 Andrew Overholt 2007-11-16 15:11:21 EST
Thanks for letting us know, Stephen.

Jack, would you like to become the owner?

Note that the issue was not with Eclipse itself but with gcj AFAICT from that
bug report.  You have always been able to run Fedora Eclipse with Sun, IBM, etc.
VMs if you choose since we ship both bytecode and native code (for gcj).
Comment 8 Jack Tanner 2007-11-17 10:09:32 EST
Thanks for the invitation, but I'm afraid I can't devote time to package
ownership. I'm fine using EPIC via the standard Eclise Plugins mechanism, but I
can see how this would be useful for more sites where centralized administration
is more important.
Comment 9 Andrew Overholt 2007-12-14 12:12:56 EST
I've added this here:  http://fedoraproject.org/wiki/PackageMaintainers/WishList

If anyone needs help packaging this, contact me.
Comment 10 Mat Booth 2007-12-16 17:49:12 EST
Hi, I'm also a user of EPIC who'd like to see it packaged with Fedora.

As a reasonably long time Fedora user, I've been meaning to contribute in some
useful way. Package maintenance seems to be a good and easy way to get involved.

If no-one else has dibbs on it, I'd like to volunteer for maintaining EPIC in
Fedora. I shall file a new review request bug when I have the package ready.
Comment 11 Oliver Falk 2007-12-17 03:37:29 EST
I'd volunteer to review it! :-)
Comment 12 Mat Booth 2007-12-27 18:19:33 EST
Hi, I've submitted the following two new package review requests that folk
subscribed to this bug may be interested in:

bug #426883
bug #426884

Note You need to log in before you can comment on or make changes to this bug.